> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/asset-type-link-configuration.md).

# AssetTypeLinkConfiguration

Represents a configuration for linking assets of a specific Collibra Asset Type to their underlying data assets via Relation Type IDs.

```graphql
type AssetTypeLinkConfiguration {
  action: AccessControlAction!
  allowDataObjectAccessRequests: Boolean!
  assetTypeId: ID!
  enabled: Boolean!
  grantCategories: [GrantCategoryResult!]!
  relationTypeIds: [ID!]!
}
```

### Fields

#### action ● [`AccessControlAction!`](/api/graphql/data-access/enumerations/access-control-action.md) non-null enum <a href="#action" id="action"></a>

The action of the access controls that assets of this type are linked to: Grant (Roles) or Group.

#### allowDataObjectAccessRequests ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#allow-data-object-access-requests" id="allow-data-object-access-requests"></a>

Whether assets of this type that are not linked to a Role or Group can be requested on their data object. Only allowed for asset types that map to data objects (see dataObjectAssetTypeIds).

#### assetTypeId ● [`ID!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#asset-type-id" id="asset-type-id"></a>

The Collibra Asset Type UUID.

#### enabled ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#enabled" id="enabled"></a>

Whether this configuration is enabled.

#### grantCategories ● [`[GrantCategoryResult!]!`](/api/graphql/data-access/unions/grant-category-result.md) non-null union <a href="#grant-categories" id="grant-categories"></a>

The grant categories that are supported for this asset type. Always empty when action is Group.

#### relationTypeIds ● [`[ID!]!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#relation-type-ids" id="relation-type-ids"></a>

The list of Relation Type IDs used to traverse from this asset type to its underlying data assets.

### Returned By

`assetTypeLinkConfigurations` query

### Implemented By

`AssetTypeLinkConfigurationResult` union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/asset-type-link-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
